<template>
  <v-layout column>
    <v-flex xs6 offset-xs3>
      <panel title="Songs">
        <div v-for="song in songs" :key="song.id">
          <h4>{{ song.title }}</h4>
          <p>
            <strong>{{ song.artist }}</strong>
            <br>
            <small>{{ song.album }}</small>
          </p>
        </div>
        <div v-if="songs.length < 1">
          <p>There are no songs yet.</p>
        </div>
      </panel>
    </v-flex>
  </v-layout>
</template>

<script>
import SongsService from '@/services/SongsService'
import Panel from '@/components/shared/Panel'

export default {
  components: {
    Panel
  },
  data () {
    return {
      songs: []
    }
  },
  async mounted () {
    this.songs = (await SongsService.index()).data
  }
}
</script>

<style scoped>

</style>
